Subject: bug#15197: closed (Re: bug#15197: 24.3.50; Regexp Isearch for character classes)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 27 Aug 2013 12:35:03 +0000

Your bug report

#15197: 24.3.50; Regexp Isearch for character classes

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
15197: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=15197
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#15197: 24.3.50; Regexp Isearch for character classes
From: Dani Moncayo <[email-masked]>
To: Nicolas Richard <[email-masked]>
Cc: [email-masked]
Date: Tue, 27 Aug 2013 14:34:32 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On Tue, Aug 27, 2013 at 2:32 PM, Nicolas Richard
<[email-masked]> wrote:
> Dani Moncayo <[email-masked]> writes:
>> Recipe from "emacs -Q":
>>   C-M-s [ : a l p h a : ]
>
>> [1] I've checked "(elisp) Char Classes".
>
> See (info "(elisp) Regexp Special") : character classes work in
> alternatives, so you should use [[:alpha:]] instead of just [:alpha:]

Exactly.  I was just typing that same reply myself.

I'm closing the bug.  Thank you and sorry for the noise.

-- 
Dani Moncayo

Subject: 24.3.50; Regexp Isearch for character classes
From: Dani Moncayo <[email-masked]>
To: [email-masked]
Date: Tue, 27 Aug 2013 14:25:36 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

[This is the first time I use character classes in Emacs, so my
apologies if this is not an Emacs bug, but a misinterpretation.]

Recipe from "emacs -Q":
  C-M-s [ : a l p h a : ]

I expected to see all letters highlighted [1], but only some of them
are (see attached screenshot).

--- Footnotes ---
[1] I've checked "(elisp) Char Classes".

-- 
Dani Moncayo